Bug 173051 - emulators/hercules update from 3.05 to 3.07
emulators/hercules update from 3.05 to 3.07
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alex Kozlov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 08:00 UTC by jau
Modified: 2013-01-12 00:50 UTC (History)
0 users

See Also:


Attachments
file.shar (12.09 KB, text/plain)
2012-10-25 08:00 UTC, jau
no flags Details
Hercules-3.05-3.07.patch (11.60 KB, patch)
2012-12-06 08:58 UTC, jau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jau 2012-10-25 08:00:00 UTC
There were problems getting Fedora-14 to run with hercules 3.05.
Using 3.07 proved to be the solution.

Fix: The attached shar file contains the whole new ports directory content for hercules.
Replace everything under emulators/hercules with the contents of the shar bundle.

Notice that I had to add the .txt extension to the file name to force the upload
automation to accept the file.


Patch attached with submission follows:
How-To-Repeat: See full description above.
Comment 1 Edwin Groothuis freebsd_committer 2012-10-25 10:15:16 UTC
Maintainer of emulators/hercules,

Please note that PR ports/173051 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173051

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-10-25 10:15:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 bzeeb+freebsdports 2012-10-25 10:34:20 UTC
I have not tested it but as stated previously I am happy with an
update going in.
Comment 4 Alex Kozlov freebsd_committer 2012-11-27 18:27:43 UTC
Hi

Can you please resubmit this update as a diff?


-- 
Alex
Comment 5 Alex Kozlov freebsd_committer 2012-11-27 18:28:55 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 6 Alex Kozlov freebsd_committer 2012-11-27 18:29:52 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 7 jau 2012-12-06 08:58:49 UTC
Find an attempt for a diff style version patch attached.

--jau
Comment 8 dfilter freebsd_committer 2013-01-12 00:41:39 UTC
Author: ak
Date: Sat Jan 12 00:41:29 2013
New Revision: 310255
URL: http://svnweb.freebsd.org/changeset/ports/310255

Log:
  - Update to 3.07 [1]
  - Convert to new options framework
  - Improve COMMENT
  
  PR:	ports/173051 [1]
  Submitted by:	Jukka Ukkonen <jau@iki.fi>
  Approved by:	bzeeb+freebsdports@zabbadoz.net (maintainer)

Deleted:
  head/emulators/hercules/files/patch-20080506-cvs-endian.diff
Modified:
  head/emulators/hercules/Makefile   (contents, props changed)
  head/emulators/hercules/distinfo   (contents, props changed)
  head/emulators/hercules/files/patch-libtool22   (contents, props changed)
  head/emulators/hercules/pkg-plist   (contents, props changed)

Modified: head/emulators/hercules/Makefile
==============================================================================
--- head/emulators/hercules/Makefile	Fri Jan 11 23:45:57 2013	(r310254)
+++ head/emulators/hercules/Makefile	Sat Jan 12 00:41:29 2013	(r310255)
@@ -2,29 +2,32 @@
 # $FreeBSD$
 
 PORTNAME=	hercules
-PORTVERSION=	3.05
-PORTREVISION=	3
+PORTVERSION=	3.07
 CATEGORIES=	emulators
 MASTER_SITES=	http://www.hercules-390.org/
 
 MAINTAINER=	bzeeb+freebsdports@zabbadoz.net
-COMMENT=	The Hercules System/370, ESA/390, and z/Architecture Emulator
+COMMENT=	System/370, ESA/390, and z/Architecture Emulator
 
-OPTIONS=	PTHREADS "Build with pthreads instead of fthreads." on \
-		NLS "Build with native language support." on \
-		DEBUG "Enable for debugging hercules itself." off
+OPTIONS_DEFINE=	DEBUG NLS PTHREADS
+OPTIONS_DEFAULT=	NLS PTHREADS
+PTHREADS_DESC=	Build with pthreads instead of fthreads
 
 USE_AUTOTOOLS=	libtool libltdl
-GNU_CONFIGURE=		yes
+GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 
+PORTDOCS=	*
+
+.include <bsd.port.options.mk>
+
 post-extract:
-	${RM} ${WRKSRC}/ltdl.*
+	@${RM} ${WRKSRC}/ltdl.*
 
 post-patch:
 	@${REINPLACE_CMD} -e 's@-lpthread@${PTHREAD_LIBS}@g' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's@SOL_TCP@IPPROTO_TCP@g' ${WRKSRC}/hscutl.c
-.if defined(NOPORTDOCS)
+.if empty(PORT_OPTIONS:MDOCS)
 	@${REINPLACE_CMD} -e 's,^SUBDIRS = decNumber m4 po util html man . crypto,SUBDIRS = decNumber m4 po util man . crypto,g' ${WRKSRC}/Makefile.in
 .else
 	@${REINPLACE_CMD} -e 's,^datadir = @datadir@,datadir = ${PREFIX}/share/doc/,' ${WRKSRC}/html/Makefile.in
@@ -35,22 +38,18 @@ post-patch:
 MAN1=			cckddiag.1 dasdseq.1
 MAN4=			cckd.4
 
-.if !defined(NOPORTDOCS)
-PORTDOCS=		*
-.endif
-
 post-install:
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.pre.mk>
-
-.if defined(WITH_DEBUG)
-CFLAGS+=		-g
+.if ${PORT_OPTIONS:MDEBUG}
+CFLAGS+=	-g
 .endif
-.if defined(WITH_PTHREADS)
+
+.if ${PORT_OPTIONS:MPTHREADS}
 CONFIGURE_ARGS+=	--disable-fthreads
 .endif
-.if defined(WITHOUT_NLS)
+
+.if empty(PORT_OPTIONS:MNLS)
 CONFIGURE_ARGS+=	--disable-nls
 PLIST_SUB+=		GETTEXT="@comment "
 .else
@@ -63,4 +62,4 @@ PLIST_SUB+=		GETTEXT=""
 CONFIGURE_ARGS+=	--enable-optimization="no"
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/emulators/hercules/distinfo
==============================================================================
--- head/emulators/hercules/distinfo	Fri Jan 11 23:45:57 2013	(r310254)
+++ head/emulators/hercules/distinfo	Sat Jan 12 00:41:29 2013	(r310255)
@@ -1,2 +1,2 @@
-SHA256 (hercules-3.05.tar.gz) = f190221fa25692c0316be331f618c0675f9f9875c44b8af3efa7a431d138b1e2
-SIZE (hercules-3.05.tar.gz) = 2470621
+SHA256 (hercules-3.07.tar.gz) = 02d5f6c66d699d413a4db9ef5a799249a6645ac10f2af1edb37992e7fa1f7724
+SIZE (hercules-3.07.tar.gz) = 2701835

Modified: head/emulators/hercules/files/patch-libtool22
==============================================================================
--- head/emulators/hercules/files/patch-libtool22	Fri Jan 11 23:45:57 2013	(r310254)
+++ head/emulators/hercules/files/patch-libtool22	Sat Jan 12 00:41:29 2013	(r310255)
@@ -1,6 +1,28 @@
---- Makefile.in.orig	2009-07-13 15:39:03.000000000 -0500
-+++ Makefile.in	2009-07-13 15:39:06.000000000 -0500
-@@ -257,13 +257,13 @@
+--- crypto/Makefile.in.orig	2009-07-13 15:39:40.000000000 -0500
++++ crypto/Makefile.in	2009-07-13 15:39:44.000000000 -0500
+@@ -244,7 +244,7 @@
+ @OPTION_DYNAMIC_LOAD_FALSE@DYNSRC = $(dyndev_SRC)
+ @OPTION_DYNAMIC_LOAD_TRUE@DYNSRC = 
+ @OPTION_DYNAMIC_LOAD_FALSE@LTDL = 
+-@OPTION_DYNAMIC_LOAD_TRUE@LTDL = ../ltdl.c
++@OPTION_DYNAMIC_LOAD_TRUE@LTDL = 
+ @OPTION_DYNAMIC_LOAD_FALSE@DYNMOD_LD_FLAGS = 
+ @OPTION_DYNAMIC_LOAD_TRUE@DYNMOD_LD_FLAGS = -module         \
+ @OPTION_DYNAMIC_LOAD_TRUE@                   -no-undefined   \
+--- decNumber/Makefile.in.orig	2009-07-13 15:40:23.000000000 -0500
++++ decNumber/Makefile.in	2009-07-13 15:40:25.000000000 -0500
+@@ -258,7 +258,7 @@
+ @BUILD_SHARED_FALSE@XSTATIC = -static
+ @BUILD_SHARED_TRUE@XSTATIC = 
+ @OPTION_DYNAMIC_LOAD_FALSE@LTDL = 
+-@OPTION_DYNAMIC_LOAD_TRUE@LTDL = ../ltdl.c
++@OPTION_DYNAMIC_LOAD_TRUE@LTDL = 
+ @OPTION_DYNAMIC_LOAD_FALSE@LIB_LD_FLAGS = $(XSTATIC)    \
+ @OPTION_DYNAMIC_LOAD_FALSE@		   -no-undefined \
+ @OPTION_DYNAMIC_LOAD_FALSE@		   -avoid-version
+--- Makefile.in.orig	2010-03-07 14:04:49.000000000 +0200
++++ Makefile.in	2012-10-14 17:27:30.565513737 +0300
+@@ -304,13 +304,13 @@
  libhercu_la_DEPENDENCIES = $(am__DEPENDENCIES_1) libhercs.la
  am__libhercu_la_SOURCES_DIST = version.c hscutl.c hscutl2.c codepage.c \
  	logger.c logmsg.c hdl.c hostinfo.c hsocket.c memrchr.c \
@@ -16,7 +38,7 @@
  am_libhercu_la_OBJECTS = version.lo hscutl.lo hscutl2.lo codepage.lo \
  	logger.lo logmsg.lo hdl.lo hostinfo.lo hsocket.lo memrchr.lo \
  	parser.lo pttrace.lo $(am__objects_8) $(am__objects_9) \
-@@ -626,7 +626,7 @@
+@@ -687,7 +687,7 @@
  @OPTION_DYNAMIC_LOAD_FALSE@DYNSRC = $(dyndev_SRC)
  @OPTION_DYNAMIC_LOAD_TRUE@DYNSRC = 
  @OPTION_DYNAMIC_LOAD_FALSE@LTDL = 
@@ -25,7 +47,7 @@
  @OPTION_DYNAMIC_LOAD_FALSE@DYNMOD_LD_FLAGS = 
  @OPTION_DYNAMIC_LOAD_TRUE@DYNMOD_LD_FLAGS = -module         \
  @OPTION_DYNAMIC_LOAD_TRUE@                   -no-undefined    \
-@@ -843,8 +843,7 @@
+@@ -913,8 +913,7 @@
                               memrchr.c        \
                               $(dynamic_SRC)   \
                               $(extra_SRC)     \
@@ -35,7 +57,7 @@
  
  libherc_la_LDFLAGS = $(LIB_LD_FLAGS)
  libherc_la_LIBADD = libhercs.la     \
-@@ -1089,7 +1088,6 @@
+@@ -1166,7 +1165,6 @@
                   hdl.h          \
                   crypto.h       \
                   sockdev.h      \
@@ -43,33 +65,11 @@
                   herc_getopt.h  \
                   service.h      \
                   chsc.h         \
-@@ -1465,7 +1463,6 @@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loadparm.Plo@am__quote@
+@@ -1552,7 +1550,6 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/logger.Plo@am__quote@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/logmsg.Plo@am__quote@
+ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/losc.Plo@am__quote@
 -@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ltdl.Plo@am__quote@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/machchk.Plo@am__quote@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memrchr.Plo@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/opcode.Plo@am__quote@
---- crypto/Makefile.in.orig	2009-07-13 15:39:40.000000000 -0500
-+++ crypto/Makefile.in	2009-07-13 15:39:44.000000000 -0500
-@@ -244,7 +244,7 @@
- @OPTION_DYNAMIC_LOAD_FALSE@DYNSRC = $(dyndev_SRC)
- @OPTION_DYNAMIC_LOAD_TRUE@DYNSRC = 
- @OPTION_DYNAMIC_LOAD_FALSE@LTDL = 
--@OPTION_DYNAMIC_LOAD_TRUE@LTDL = ../ltdl.c
-+@OPTION_DYNAMIC_LOAD_TRUE@LTDL = 
- @OPTION_DYNAMIC_LOAD_FALSE@DYNMOD_LD_FLAGS = 
- @OPTION_DYNAMIC_LOAD_TRUE@DYNMOD_LD_FLAGS = -module         \
- @OPTION_DYNAMIC_LOAD_TRUE@                   -no-undefined   \
---- decNumber/Makefile.in.orig	2009-07-13 15:40:23.000000000 -0500
-+++ decNumber/Makefile.in	2009-07-13 15:40:25.000000000 -0500
-@@ -258,7 +258,7 @@
- @BUILD_SHARED_FALSE@XSTATIC = -static
- @BUILD_SHARED_TRUE@XSTATIC = 
- @OPTION_DYNAMIC_LOAD_FALSE@LTDL = 
--@OPTION_DYNAMIC_LOAD_TRUE@LTDL = ../ltdl.c
-+@OPTION_DYNAMIC_LOAD_TRUE@LTDL = 
- @OPTION_DYNAMIC_LOAD_FALSE@LIB_LD_FLAGS = $(XSTATIC)    \
- @OPTION_DYNAMIC_LOAD_FALSE@		   -no-undefined \
- @OPTION_DYNAMIC_LOAD_FALSE@		   -avoid-version
+ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/omatape.Plo@am__quote@

Modified: head/emulators/hercules/pkg-plist
==============================================================================
--- head/emulators/hercules/pkg-plist	Fri Jan 11 23:45:57 2013	(r310254)
+++ head/emulators/hercules/pkg-plist	Sat Jan 12 00:41:29 2013	(r310255)
@@ -66,11 +66,14 @@ lib/hercules/hdt3505.la
 lib/hercules/hdt3505.so
 lib/hercules/hdt3525.la
 lib/hercules/hdt3525.so
+lib/hercules/hdt3705.la
+lib/hercules/hdt3705.so
 lib/hercules/hdteq.la
 lib/hercules/hdteq.so
 lib/hercules/hdtqeth.la
 lib/hercules/hdtqeth.so
 @dirrm lib/hercules
+%%DATADIR%%/TMOUNT.txt
 %%DATADIR%%/awssl-v19g
 %%DATADIR%%/awswrite.jcl
 %%DATADIR%%/cckddump.hla
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Alex Kozlov freebsd_committer 2013-01-12 00:43:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 10 Alex Kozlov freebsd_committer 2013-01-12 00:43:16 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!